Empatica

Reserve today and be one of the first to use it in your work

EmbracePlus
Smartphone Compatibility

To set up and use EmbracePlus, your device must have Bluetooth® 5.0 or higher. Although EmbracePlus works with the majority of devices, for optimal use we suggest using one from the list below.

EmbracePlus Technical Requirements

iOS

To correctly run and support EmbracePlus your iOS device must have:

  • iOS 13.4 or higher

  • Bluetooth® 5.0, which is supported from iPhone8 or newer and iOS 13.4 or higher.

The device models below have been tested and certified to work with EmbracePlus:

Certified models
iPhone 8 or higher
iPhone SE (2nd)
iPad Pro

Android

To correctly run the Care App and support EmbracePlus your Android device must have:

  • Android 9.0 or higher

  • Bluetooth® 5.0 with 2M PHY, which ensures higher data throughput. Although some devices might have Bluetooth® 5.0 in their specs, some devices run non-compliant Bluetooth® 5.0 modules which might disrupt the data transfer flow, constantly losing data. To know which Bluetooth® protocol an Android mobile phone supports, please use the Nordic App®

The device models below have been tested and certified to work with EmbracePlus:

Certified models
One Plus 5T (OnePlus ONEPLUS A5010)
Samsung M31 (Samsung SM-M315F)
Samsung A40 (Samsung SM-A405FN)
Google Pixel 3
Google Pixel 4a
Google Pixel 4
Samsung S21 (Samsung SM-G991U, Samsung SM-G991B)
Motorola Moto g pro
Xiaomi POCOPHONE F1

The blacklisted device models below have been tested and do not support EmbracePlus:

Blacklisted models
LG Q60
Asus Zenfone Max M1 (ASUS_X00PD)
Huawei P40 Lite (HUAWEI JNY-LX1)
Huawei Mate 20 pro (HUAWEI LYA-L29)

Not sure if your Android device is compatible?

Start a connectivity self-test with the Nordic App® or contact us via email at support@empatica.com

Your Cart

Your cart is currently empty.

Go to Store
ItemPrice (USD)
X

Select your Location

Embrace is currently available only in English. Embrace is an investigational device in the USA and a medical device in the EU. If you do not see your country listed, please visit the International site.
Please note that Embrace Alert System is not available in the following countries .